<?php

$ldaprdn  = "cn=admin,dc=mvtel,dc=local";     // ldap rdn or dn
$ldappass = 'mis5093929_ha';  // associated password
/* echo var_dump($phonedir); */
$ds = ldap_connect("192.168.15.16");  // must be a valid LDAP server!
echo "connect result is " . var_dump($ds) . "<br />";

if ($ds) {

    ldap_set_option($ds, LDAP_OPT_PROTOCOL_VERSION, 3);
    ldap_set_option($ds, LDAP_OPT_REFERRALS, 0);
    // binding to ldap server
    $ldapbind = ldap_bind($ds, $ldaprdn, $ldappass);

    // verify binding
    if ($ldapbind) {
	echo "LDAP bind successful...";
	$dn = 'ou=addressbook,dc=mvtel,dc=local';
	
	if ($_GET['gr']) {
	    $group = $_GET['gr'];
	    echo "<h3><a href='/list.php'>Список\</a>" . $_GET['gr'] . "</h3>";
	    $filter = "(&(objectClass=inetOrgPerson)(ou=$group))";
	    $justthese = array("cn", "mobile", "employeetype");
	    
	    $sr = ldap_search($ds, $dn, $filter, $justthese);
	    $info = ldap_get_entries($ds, $sr);

	    echo "<table border='true'>";
	    foreach ($info as $key => $val) {
		if ($val['cn']) {
		    echo "<tr>";
		    echo "<td><input type='checkbox'></input>";
		    echo "<td>" . $val['cn'][0] . "</td>";
		    echo "<td>" . $val['employeetype'][0] . "</td>";
		    if (isset($val['mobile'])) {
			for ($i = 0; $i < count($val['mobile']); $i++) {
			    echo "<td>" . $val['mobile'][$i] . "</td>";
			}
			} else  {
			    echo "<td></td>";
			}
			echo "</tr>";
		    }
		}
		echo "</table>";
		
	    } else {
		$filter = "(|(objectClass=inetOrgPerson)(ou=*))";
		$justthese = array("ou");
		
		$sr = ldap_search($ds, $dn, $filter, $justthese);
		$info = ldap_get_entries($ds, $sr);

		$res = array();
		foreach ($info as $key => $val) {
		    /* echo var_dump($val); */
		    array_push($res, $val['ou'][0]);
		    /* if (isset($val['mobile'])) {
		       foreach ($val['mobile'] as $mobile) {
		       echo $mobile ." ";
		       }
		       } */
		    /* echo var_dump($result); */
		    /* echo "<br>"; */
		}
		

		/* $group = array_unique($result); */

		foreach (array_unique($res) as $el) {
		    echo "<a href='/ui/list.php?gr=$el'>$el</a>";
		    echo "<br>";
		};
		
	    }
	    
	    /* echo "Search result is " . var_dump($info) . "<br />"; */
	    
	} else {
            echo "LDAP bind failed...";
	}

    }



?>
