<?php
 
namespace App\Middleware;
 
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\RequestHandlerInterface;
use Slim\Psr7\Response;
 
class JsonMiddleware
{
    public function __invoke(ServerRequestInterface $request,
                             RequestHandlerInterface $handler): Response
    {
     $response = $handler->handle($request);
     return $response
         ->withHeader('Content-Type', 'application/json');
    }
}
 
# end of file
