<?php
namespace App\Model;

use App\Model\Exception\NumberFormatException;


class Mobile extends Number{
    public function __construct($number){
	if(preg_match('/\+\d{12}/', $number, $matches)){
	    parent::__construct($number);
	} else {
	    throw new NumberFormatException("number not match");
	}
    }
}
