<?php

namespace App\Model;

use App\Modules\Ldap\Ldap;

enum Role: String {
    case Admin = "admin";
    case Operator = "operator";
}


class Operator extends User{
    public Role $role;
    public string $login;
    private string $password;

    private function SetPassword($pass){
	$this->password = $pass;
	return $this;

    }

    public static function GetByName($name, $storage){
	$result = $storage->get_operator($name);
	$operator = new self;
	$operator->name = $result['name'];
	$operator->employeetype = $result['employeetype'];
	/* echo var_dump($result['role']); */
	$operator->role = Role::tryFrom($result['role']);
	/* $operator->role = $result['role']; */
	$operator->login = $result['username'];
	// echo var_dump($operator);
	return $operator;
    }
}
?>
