<?php
 

namespace App\Modules\FsConfig;
 
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Container\ContainerInterface;
 
class FsConfig
{
    private $container;
    private $dir;
 
    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;
        $this->dir = $this->container->get('settings')['data_dir'];
    }
 
    public function vars(ServerRequestInterface $request,
                         ResponseInterface $response,
                         array $args): ResponseInterface
    {
        $data = array();
        $xmldata = simplexml_load_file($this->dir . '/vars.xml') or die("Нет такого абонента");
        foreach ($xmldata as $v) {
            $variable = $v->attributes();
            $val = (string) $variable['data'];
            $val = explode('=', $val);
            $data[$val[0]] = $val[1];

            //$data['vars'][$variable['name']] = $variable['data'];
        }
        $payload = json_encode($data, JSON_PRETTY_PRINT);

        $response->getBody()->write($payload);
        return $response;
    }
}
