<?php
namespace App\Model;

class SystemSlot {
    public string $name;
    public string $device;
    public string $image_version;
    public string $image_compatible;
    public string $image_description;
    public string $data_install;
    public string $active;

    public function __construct($data){
	$this->device = $data['device'];
	$this->image_version = $data['slot_status']['bundle']['version'];
	$this->image_compatible = $data['slot_status']['bundle']['compatible'];
	$this->image_description = $data['slot_status']['bundle']['description'];
	$this->data_install = $data['slot_status']['installed']['timestamp'];
	$this->active = $data['state'];

    }
}

?>
