<?php
namespace App\Model;

class UpdateImage {

    public string $filename;
    public string $version;
    public string $description;
    public string $compatible;
    public string $checksum;
    public string $size;
    
    public function __construct($filename){
	if($filename){
	    $this->filename = $filename;
	    $image = json_decode(shell_exec("rauc --output-format=json info $filename"), true);
	    $this->compatible = $image['compatible'];
	    $this->version = $image['version'];
	    $this->description = $image['description'];
	    $this->checksum = $image['images'][0]['rootfs']['checksum'];
	    $this->size = $image['images'][0]['rootfs']['size'];
	}
    }
    
}

?>
